import { Story, Canvas, ArgsTable } from '@storybook/addon-docs';

import Identicon from './identicon.component';

# Identicon

An identifier component that can be supplied an image or randomly generates one based on the account address.

<Canvas>
  <Story id="components-ui-identicon--default-story" />
</Canvas>

## Props

<ArgsTable of={Identicon} />

## Usage

### With Image

Use with custom image

<Canvas>
  <Story id="components-ui-identicon--with-image" />
</Canvas>

### With Blockie

<Canvas>
  <Story id="components-ui-identicon--with-blockie" />
</Canvas>

### With Border

<Canvas>
  <Story id="components-ui-identicon--with-border" />
</Canvas>
